## org.hibernate.envers.configuration.metadata.reader
Class ComponentAuditingData

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.PropertyAuditingData
          org.hibernate.envers.configuration.metadata.reader.ComponentAuditingData

All Implemented Interfaces:
  AuditedPropertiesHolder

    public class ComponentAuditingData

extends PropertyAuditingData
implements AuditedPropertiesHolder

Audit mapping meta-data for component.

Author:
  Adam Warski (adam at warski dot org), Hern&aacut;n Chanfreau

Constructor Summary
`ComponentAuditingData()`

Method Summary
`void` `addPropertyAuditingData(String propertyName, PropertyAuditingData auditingData)` Add an audited property.
`boolean` `contains(String propertyName)`
`PropertyAuditingData` `getPropertyAuditingData(String propertyName)`
`boolean` `isEmpty()`

Methods inherited from class org.hibernate.envers.configuration.metadata.reader.PropertyAuditingData
`addAuditingOverride, addAuditingOverrides, getAccessType, getAuditingOverrides, getAuditMappedBy, getBeanName, getJoinTable, getMapKey, getName, getPositionMappedBy, getPropertyData, getRelationTargetAuditMode, getStore, isForceInsertable, setAccessType, setAuditMappedBy, setBeanName, setForceInsertable, setJoinTable, setMapKey, setName, setPositionMappedBy, setRelationTargetAuditMode, setStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAuditingData

    public ComponentAuditingData()

Method Detail

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `AuditedPropertiesHolder`
  Returns:
    true if the holder contains any audited property

### addPropertyAuditingData

    public void addPropertyAuditingData(String propertyName,
                                        PropertyAuditingData auditingData)

  Description copied from interface: `AuditedPropertiesHolder`
  Add an audited property.

  Specified by:
    `addPropertyAuditingData` in interface `AuditedPropertiesHolder`
  Parameters:
    `propertyName` - Name of the audited property.
    `auditingData` - Data for the audited property.

### getPropertyAuditingData

    public PropertyAuditingData getPropertyAuditingData(String propertyName)

  Specified by:
    `getPropertyAuditingData` in interface `AuditedPropertiesHolder`
  Parameters:
    `propertyName` - Name of a property.
  Returns:
    Auditing data for the property.

### contains

    public boolean contains(String propertyName)

  Specified by:
    `contains` in interface `AuditedPropertiesHolder`
  Returns:
    true if the holder contains the given audited property

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.